Loading...
Searching...
No Matches
novas_timespec Struct Reference
Time of observation and astronomical timescales

A structure, which defines a precise instant of time that can be extpressed in any of the astronomical timescales. More...

`#include <novas.h>`

## Data Fields

double | dut1
| [s] UT1 - UTC time difference
double | fjd_tt
| [day] Terrestrial time (TT) based fractional Julian day.
long | ijd_tt
| [day] Integer part of the Terrestrial Time (TT) based Julian Date
double | tt2tdb
| [s] TDB - TT time difference
double | ut1_to_tt
| [s] UT1 - TT time difference

## Detailed Description

A structure, which defines a precise instant of time that can be extpressed in any of the astronomical timescales.

Precisions to picosecond accuracy are supported, which ought to be plenty accurate for any real astronomical application.

Since
  1.1

See also
  novas_set_time(), novas_get_time(), NOVAS_TIMESPEC_INIT, enum novas_timescale, timescale.c
  novas_make_frame()

The documentation for this struct was generated from the following file:

- /build/supernovas-Ly00hg/supernovas-1.5.1/include/novas.h